[youtubei.js](../../../README.md) / [Parser](../README.md) / parseCommand

# Function: parseCommand()

> **parseCommand**(`data`): [`YTNode`](../../Helpers/classes/YTNode.md) \| `undefined`

Parses an InnerTube command and returns a YTNode instance if applicable.

## Parameters

• **data**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)

The raw node data to parse

## Returns

[`YTNode`](../../Helpers/classes/YTNode.md) \| `undefined`

A YTNode instance if parsing is successful, undefined otherwise

## Defined in

[src/parser/parser.ts:637](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/parser.ts#L637)
